Package org.eclipse.cdt.core.parser.util

## Class ObjectMap

- java.lang.Object
- - org.eclipse.cdt.core.parser.util.HashTable
  - - org.eclipse.cdt.core.parser.util.ObjectTable<Object>
    - - org.eclipse.cdt.core.parser.util.ObjectMap

All Implemented Interfaces:
  `Cloneable`, `Iterable<Object>`

    public class ObjectMap
    extends ObjectTable<Object>

Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

Fields
`static ObjectMap` `EMPTY_MAP` An empty immutable `ObjectMap`.

### Fields inherited from class org.eclipse.cdt.core.parser.util.ObjectTable

`keyTable`

### Fields inherited from class org.eclipse.cdt.core.parser.util.HashTable

`currEntry, hashTable, minHashSize, nextTable`

### Constructor Summary

Constructors
`ObjectMap​(int initialSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`Object` `clone()`
`Object` `get​(Object key)`
`Object` `getAt​(int i)`
`boolean` `isEquivalent​(ObjectMap other, IObjectMatcher matcher)`
`protected int` `partition​(Comparator<Object> c, int p, int r)`
`Object` `put​(Object key, Object value)`
`Object` `remove​(Object key)`
`protected void` `removeEntry​(int i)`
`protected void` `resize​(int size)`
`String` `toString()`
`Object[]` `valueArray()`

### Methods inherited from class org.eclipse.cdt.core.parser.util.ObjectTable

`add, containsKey, hash, isEquivalent, iterator, keyArray, keyArray, keyAt, lookup, toList`

### Methods inherited from class org.eclipse.cdt.core.parser.util.HashTable

`capacity, countCollisions, dumpNexts, isEmpty, linkIntoHashTable, rehash, removeEntry, resize, size, sort`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Field Detail

#### EMPTY_MAP

    public static final ObjectMap EMPTY_MAP

An empty immutable `ObjectMap`.

### Constructor Detail

#### ObjectMap

    public ObjectMap​(int initialSize)

### Method Detail

#### clone

    public Object clone()

Overrides:
  `clone` in class `ObjectTable<Object>`

#### clear

    public final void clear()

Overrides:
  `clear` in class `ObjectTable<Object>`

#### resize

    protected void resize​(int size)

Overrides:
  `resize` in class `ObjectTable<Object>`

#### put

    public Object put​(Object key,
                      Object value)

#### get

    public final Object get​(Object key)

#### getAt

    public final Object getAt​(int i)

#### remove

    public final Object remove​(Object key)

#### removeEntry

    protected final void removeEntry​(int i)

Overrides:
  `removeEntry` in class `ObjectTable<Object>`

#### partition

    protected int partition​(Comparator<Object> c,
                            int p,
                            int r)

Overrides:
  `partition` in class `HashTable`

#### valueArray

    public Object[] valueArray()

#### isEquivalent

    public boolean isEquivalent​(ObjectMap other,
                                IObjectMatcher matcher)

#### toString

    public String toString()

Overrides:
  `toString` in class `ObjectTable<Object>`